<?php
/* Template Name: 日付ベース用テンプレート */
?>


<?php get_header(); ?>

<?php
//$category_nameがなければ引き渡した情報を格納します。
if( !$category_name ) {
$category_name = $_GET['cat_slug'];
}

//記事の取得条件
$article_args = array(
'category_name' => $category_name,
'posts_per_page' => 1,
'paged' => $paged
);

//年月の情報を持っていれば取得条件に追加します。
if( get_query_var('year') || get_query_var('monthnum') ) {
$archive_args = array(
'year' => get_query_var('year'),
'monthnum' => get_query_var('monthnum'),
);
$article_args = array_merge( $article_args, $archive_args );
}

$article_query = new WP_Query( $article_args );
if( $article_query ) :
?>
<?php while ( $article_query->have_posts() ) : $article_query->the_post(); ?>

<?php
    $category = get_the_category();
    //$cat_id   = $category[0]->cat_ID;
    //$cat_name = $category[0]->cat_name;
    $cat_slug = $category[0]->category_nicename;
?>

<!-- 本文：ここから -->
<?php if(have_posts()): while(have_posts()): the_post(); ?>
<article <?php post_class(); ?>>

<div class="EntryHeader">
<time class="title_en" datetime="<?php echo esc_attr( get_the_date( DATE_W3C )); ?>"><a href="<?php the_permalink(); ?>"><?php echo esc_html( get_the_date() ); ?></a></time>
<?php the_title( '<h1>', '</h1>' ); ?>
</div>
<?php the_content(); ?>

<?php
if ( get_theme_mod( 'share_button', true )): ?>
<!-- シェアボタン：ここから -->
<?php include("share-button.php"); ?>
<!-- シェアボタン：ここまで -->
<?php else: ?>
<?php endif; ?>

<!-- カテゴリ表記：ここから -->
<div class="cat_post_link"><?php the_tags( '<span class="post-categories">Tag : ', ' , ', '</span>|'); ?><a class="post-link" href="<?php the_permalink(); ?>#comment"><span class="main_en">Post a Comment</span></a></div>

<!-- カテゴリ表記：ここまで -->

<div class="dotline"></div>
	
</article>

<?php endwhile; endif; ?>
<!-- 本文：ここまで -->

<!-- ページナビ：ここから -->
<?php include("page-nav.php"); ?>
<!-- ページナビ：ここまで -->

<?php endwhile; endif; ?>


<?php get_sidebar(); ?>

<?php get_footer(); ?>