<?php
/*
Template Name: アーカイブリストページのテンプレート
*/
?>


<?php get_header(); ?>


<?php
$category = get_the_category();
$cat_slug = $category[0]->category_nicename; //アーカイブしたいカテゴリーのスラッグ
$args = array(
	'category_name' => $cat_slug,
	'posts_per_page' => -1 //カテゴリーの記事を全部出力
);
$the_query = new WP_Query( $args ); //上記アーカイブクエリを実行
?>

<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
<?php $archive_list[ get_the_time( 'Y/m', $post->ID ) ][] = $post->post_title;//年月ごとに記事情報を格納
?>
<?php endwhile; ?>
<?php wp_reset_postdata(); ?>



<?php
	/*====================================================
　　	月別アーカイブ
	=====================================================*/
	if( $archive_list ) : ?>

	<ul id="archive_list">
		<?php foreach( $archive_list as $year_month => $archive ) :
			$year_month_arr = explode( '/', $year_month );
		?>
		<li class="title_en">
			<a href="<?php echo esc_url( home_url( 'date/'.$year_month.'/?category_name='.$cat_slug ) ) ?>">
				<?php echo $year_month_arr[0].'.'.$year_month_arr[1].'' ?><span class="article_count"> ( <?php echo count( $archive ) ?> Article )</span></a></li>
		<?php endforeach; ?>
	</ul>

	<?php endif; ?>
	
<div class="dotline"></div>



<?php get_sidebar(); ?>

<?php get_footer(); ?>