<?php
/* Template Name: ページナビ部分 */
?>

<?php
$pagenation = array (
		'next' => get_theme_mod( 'theme_page_nav_customize_back', 'Next' ),
		'prev' => get_theme_mod( 'theme_page_nav_customize_next', 'Back' ),
		'list' => get_theme_mod( 'theme_page_nav_customize_oldlog', 'Old Log' ),
);
?>

<nav class="navigation post-navigation pagenation" role="navigation">
<div class="nav-links">

<div class="nav-previous"><span class="navi_en">
<?php
if (is_single()) :
previous_post_link(' %link', $pagenation['next'], TRUE);
else :
next_posts_link('' . $pagenation['next']);
endif;
?>
</span></div>

<?php
$category = get_the_category();
$cat_slug = $category[0]->category_nicename; //アーカイブしたいカテゴリーのスラッグ
?>
<div class="nav-list"><a href="<?php echo esc_url( home_url( 'archives/?category_name='.$cat_slug ) ) ?>"><span class="navi_en"><?php echo $pagenation['list']; ?></span></a></div>

<div class="nav-next"><span class="navi_en">
<?php
if (is_single()) :
next_post_link('%link', $pagenation['prev'], TRUE);
else :
previous_posts_link($pagenation['prev'] . '');
endif;
?>
</span></div>

</div>
</nav>
